Checks if entry exists

- « apcu_entry

- apcu_fetch »

- PHP Manual
- APCu Functions
- Checks if entry exists

# apcu_exists

(PECL apcu >= 4.0.0)

apcu_exists — Checks if entry exists

### Description

apcu_exists(string|array `$keys`): bool|array

Checks if one or more APCu entries exist.

### Parameters

`keys`

  A string, or an array of strings, that contain keys.

### Return Values

Returns `true` if the key exists, otherwise `false` Or if an array was passed to `keys`, then an array is returned that contains all existing keys, or an empty array if none exist.

### Examples

Example #1 apcu_exists() example

    <?php
    $fruit  = 'apple';
    $veggie = 'carrot';

    apcu_store('foo', $fruit);
    apcu_store('bar', $veggie);

    if (apcu_exists('foo')) {
        echo "Foo exists: ";
        echo apcu_fetch('foo');
    } else {
        echo "Foo does not exist";
    }

    echo PHP_EOL;
    if (apcu_exists('baz')) {
        echo "Baz exists.";
    } else {
        echo "Baz does not exist";
    }

    echo PHP_EOL;

    $ret = apcu_exists(array('foo', 'donotexist', 'bar'));
    var_dump($ret);

    ?>

The above example will output something similar to:

    Foo exists: apple
    Baz does not exist
    array(2) {
      ["foo"]=>
      bool(true)
      ["bar"]=>
      bool(true)
    }

### See Also

- apcu_cache_info() - Retrieves cached information from APCu's data store
- apcu_fetch() - Fetch a stored variable from the cache